import { isJSON } from '@/H5Public/utils/authority';

export function getCurrentUser() {
  const d = sessionStorage.getItem('currentUser');
  if (d && isJSON(d)) {
    return JSON.parse(d);
  } else {
    return {};
  }
}

export function setCurrentUser(v){
  if(v && typeof v === 'object'){
    sessionStorage.setItem('currentUser', JSON.stringify(v));
  }
}
